namespace InABox.DigitalMatter
{
    public abstract class DMBluetoothTag : DMObject
    {
        public byte DataLength { get; set; }

        public abstract string Type();

        public abstract string ID();

        public override string ToString()
        {
            return string.Format("{0} ({1})", Type(), ID()).Trim();
        }
    }
}